Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.jenkins
Class JBehaveType

    java.lang.Object
      com.thalesgroup.dtkit.metrics.hudson.api.type.MetricsType
          com.thalesgroup.dtkit.metrics.hudson.api.type.TestType
              com.thalesgroup.hudson.plugins.xunit.types.XUnitType
                  org.jbehave.jenkins.JBehaveType

All Implemented Interfaces:
  hudson.ExtensionPoint, hudson.model.Describable<com.thalesgroup.dtkit.metrics.hudson.api.type.TestType>, Serializable

    public class JBehaveType

extends com.thalesgroup.hudson.plugins.xunit.types.XUnitType

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface hudson.ExtensionPoint
`hudson.ExtensionPoint.LegacyInstancesAreScopedToHudson`

Constructor Summary
`JBehaveType(String pattern, boolean failedIfNotNew, boolean deleteJUnitFiles)`

Method Summary
`com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor<?>` | `getDescriptor()`
`Object` | `readResolve()`

Methods inherited from class com.thalesgroup.hudson.plugins.xunit.types.XUnitType
`isDeleteJUnitFiles`

Methods inherited from class com.thalesgroup.dtkit.metrics.hudson.api.type.TestType
`all, getInputMetric`

Methods inherited from class com.thalesgroup.dtkit.metrics.hudson.api.type.MetricsType
`getPattern, isDeleteOutputFiles, isFaildedIfNotNew`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBehaveType

    public JBehaveType(String pattern,
                       boolean failedIfNotNew,
                       boolean deleteJUnitFiles)

Method Detail

### getDescriptor

    public com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor<?> getDescriptor()

  Specified by:
    `getDescriptor` in interface `hudson.model.Describable<com.thalesgroup.dtkit.metrics.hudson.api.type.TestType>`
  Overrides:
    `getDescriptor` in class `com.thalesgroup.hudson.plugins.xunit.types.XUnitType`

### readResolve

    public Object readResolve()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.